Index: profileconnection/pom.xml
===================================================================
--- profileconnection/pom.xml	(revision 29)
+++ profileconnection/pom.xml	(revision 30)
@@ -6,5 +6,5 @@
 	<groupId>geniusweb</groupId>
 	<artifactId>profileconnection</artifactId>
-	<version>1.5.8</version> <!-- must equal ${geniusweb.version} -->
+	<version>1.5.9</version> <!-- must equal ${geniusweb.version} -->
 	<packaging>jar</packaging>
 
@@ -17,5 +17,5 @@
 		<passwd>${env.ARTIFACTORY_PASS}</passwd>
 		<jackson-2-version>2.9.10</jackson-2-version>
-		<geniusweb.version>1.5.8</geniusweb.version>
+		<geniusweb.version>1.5.9</geniusweb.version>
 	</properties>
 
@@ -38,5 +38,5 @@
 			<groupId>tudelft.utilities</groupId>
 			<artifactId>logging</artifactId>
-			<version>1.0.0</version>
+			<version>1.0.1</version>
 		</dependency>
 
@@ -94,5 +94,5 @@
 			<groupId>tudelft.utilities</groupId>
 			<artifactId>junit</artifactId>
-			<version>1.0.2</version>
+			<version>1.0.5</version>
 			<scope>test</scope>
 		</dependency>
@@ -122,11 +122,15 @@
 			</snapshots>
 		</repository>
-
 	</repositories>
 
 	<pluginRepositories>
 		<pluginRepository>
-			<id>jcenter</id>
-			<url>https://jcenter.bintray.com</url>
+			<id>central</id>
+			<url>https://repo1.maven.org/</url>
+		</pluginRepository>
+		<pluginRepository>
+			<id>jfrog-plugins-release</id>
+			<name>plugins-release</name>
+			<url>https://oss.jfrog.org/artifactory/plugins-release</url>
 		</pluginRepository>
 	</pluginRepositories>
Index: profileconnection/src/main/java/geniusweb/profileconnection/FileProfileConnector.java
===================================================================
--- profileconnection/src/main/java/geniusweb/profileconnection/FileProfileConnector.java	(revision 29)
+++ profileconnection/src/main/java/geniusweb/profileconnection/FileProfileConnector.java	(revision 30)
@@ -37,3 +37,7 @@
 	}
 
+	@Override
+	public void close() {
+	}
+
 }
Index: profileconnection/src/main/java/geniusweb/profileconnection/ProfileInterface.java
===================================================================
--- profileconnection/src/main/java/geniusweb/profileconnection/ProfileInterface.java	(revision 29)
+++ profileconnection/src/main/java/geniusweb/profileconnection/ProfileInterface.java	(revision 30)
@@ -18,3 +18,11 @@
 	 */
 	public Profile getProfile() throws IOException;
+
+	/**
+	 * This must be called when the user is finished using the interface. The
+	 * interface can not be used after calling this. This function allows
+	 * implementors to release the streams and listeners. Not calling this after
+	 * use may cause resource leaks.
+	 */
+	public void close();
 }
Index: profileconnection/src/main/java/geniusweb/profileconnection/WebsocketProfileConnector.java
===================================================================
--- profileconnection/src/main/java/geniusweb/profileconnection/WebsocketProfileConnector.java	(revision 29)
+++ profileconnection/src/main/java/geniusweb/profileconnection/WebsocketProfileConnector.java	(revision 30)
@@ -7,6 +7,8 @@
 import javax.websocket.ClientEndpoint;
 import javax.websocket.DeploymentException;
+import javax.websocket.OnClose;
 import javax.websocket.OnError;
 import javax.websocket.OnMessage;
+import javax.websocket.OnOpen;
 import javax.websocket.Session;
 import javax.websocket.WebSocketContainer;
@@ -29,4 +31,5 @@
 	private final URI uri; // to log possible errors
 	private Profile profile = null;
+	private Session session;
 
 	/**
@@ -58,6 +61,18 @@
 	}
 
+	@OnOpen
 	public void onOpen(Session session) {
+		this.session = session;
 		logger.log(Level.FINE, "Connected: " + session.getBasicRemote());
+	}
+
+	@OnClose
+	public void onClose() {
+		if (session != null) {
+			logger.log(Level.FINE,
+					"Closed websocket: " + session.getBasicRemote());
+			this.session = null;
+			// remove listeners seems not needed
+		}
 	}
 
@@ -94,3 +109,16 @@
 	}
 
+	@Override
+	public void close() {
+		if (session != null) {
+			try {
+				session.close();
+			} catch (IOException e) {
+				logger.log(Level.WARNING,
+						"Falled to close websocket connection: "
+								+ session.getBasicRemote());
+			}
+		}
+	}
+
 }
Index: profileconnection/src/test/resources/testprofile.json
===================================================================
--- profileconnection/src/test/resources/testprofile.json	(revision 29)
+++ profileconnection/src/test/resources/testprofile.json	(revision 30)
@@ -37,6 +37,6 @@
 				"reservationBid": {
 			"issuevalues": {
-				"issue1": "issuevalue1",
-				"issue2": "12"
+				"issue1": "issue1value1",
+				"issue2": 12
 			}
 		}
